/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * List of information linked to a lost baggage incident
 */
@ApiModel(description = "List of information linked to a lost baggage incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class LostBaggageClaimInformation {
  @SerializedName("Claimant_name")
  private String claimantName = null;

  @SerializedName("Relationship_to_cardholder")
  private String relationshipToCardholder = null;

  @SerializedName("Other_relationship_to_cardholder")
  private String otherRelationshipToCardholder = null;

  @SerializedName("Sex")
  private String sex = null;

  @SerializedName("Date_of_Birth")
  private LocalDate dateOfBirth = null;

  @SerializedName("Do_you_have_other_insurance_loss")
  private String doYouHaveOtherInsuranceLoss = null;

  @SerializedName("Have_you_submitted_a_formal_complaint")
  private String haveYouSubmittedAFormalComplaint = null;

  @SerializedName("Please_explain_why")
  private String pleaseExplainWhy = null;

  @SerializedName("Start_trip_date")
  private LocalDate startTripDate = null;

  @SerializedName("End_trip_date")
  private LocalDate endTripDate = null;

  @SerializedName("Date_of_loss_baggage_loss")
  private String dateOfLossBaggageLoss = null;

  @SerializedName("Time_of_loss")
  private String timeOfLoss = null;

  @SerializedName("City")
  private String city = null;

  @SerializedName("Country")
  private String country = null;

  @SerializedName("Do_you_have_other_insurance_that_applies")
  private String doYouHaveOtherInsuranceThatApplies = null;

  @SerializedName("Please_indicate_the_amount")
  private BigDecimal pleaseIndicateTheAmount = null;

  @SerializedName("CurrencyIsoCode")
  private String currencyIsoCode = null;

  @SerializedName("Was_the_baggage_in_the_charge_of_an_air")
  private String wasTheBaggageInTheChargeOfAnAir = null;

  @SerializedName("Aircraft_flight_number")
  private String aircraftFlightNumber = null;

  @SerializedName("Cruise_ships_vessel_name")
  private String cruiseShipsVesselName = null;

  @SerializedName("Railway_branch")
  private String railwayBranch = null;

  @SerializedName("Total_amount_claimed")
  private BigDecimal totalAmountClaimed = null;

  @SerializedName("itemsList")
  private ItemsList itemsList = null;

  public LostBaggageClaimInformation claimantName(String claimantName) {
    this.claimantName = claimantName;
    return this;
  }

   /**
   * Get claimantName
   * @return claimantName
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getClaimantName() {
    return claimantName;
  }

  public void setClaimantName(String claimantName) {
    this.claimantName = claimantName;
  }

  public LostBaggageClaimInformation relationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
    return this;
  }

   /**
   * Get relationshipToCardholder
   * @return relationshipToCardholder
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getRelationshipToCardholder() {
    return relationshipToCardholder;
  }

  public void setRelationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
  }

  public LostBaggageClaimInformation otherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
    return this;
  }

   /**
   * Get otherRelationshipToCardholder
   * @return otherRelationshipToCardholder
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getOtherRelationshipToCardholder() {
    return otherRelationshipToCardholder;
  }

  public void setOtherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
  }

  public LostBaggageClaimInformation sex(String sex) {
    this.sex = sex;
    return this;
  }

   /**
   * Get sex
   * @return sex
  **/
  @ApiModelProperty(example = "Female", value = "")
  public String getSex() {
    return sex;
  }

  public void setSex(String sex) {
    this.sex = sex;
  }

  public LostBaggageClaimInformation dateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
    return this;
  }

   /**
   * Get dateOfBirth
   * @return dateOfBirth
  **/
  @ApiModelProperty(example = "1990-12-04", value = "")
  public LocalDate getDateOfBirth() {
    return dateOfBirth;
  }

  public void setDateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
  }

  public LostBaggageClaimInformation doYouHaveOtherInsuranceLoss(String doYouHaveOtherInsuranceLoss) {
    this.doYouHaveOtherInsuranceLoss = doYouHaveOtherInsuranceLoss;
    return this;
  }

   /**
   * Get doYouHaveOtherInsuranceLoss
   * @return doYouHaveOtherInsuranceLoss
  **/
  @ApiModelProperty(example = "No", value = "")
  public String getDoYouHaveOtherInsuranceLoss() {
    return doYouHaveOtherInsuranceLoss;
  }

  public void setDoYouHaveOtherInsuranceLoss(String doYouHaveOtherInsuranceLoss) {
    this.doYouHaveOtherInsuranceLoss = doYouHaveOtherInsuranceLoss;
  }

  public LostBaggageClaimInformation haveYouSubmittedAFormalComplaint(String haveYouSubmittedAFormalComplaint) {
    this.haveYouSubmittedAFormalComplaint = haveYouSubmittedAFormalComplaint;
    return this;
  }

   /**
   * Get haveYouSubmittedAFormalComplaint
   * @return haveYouSubmittedAFormalComplaint
  **/
  @ApiModelProperty(example = "NO", value = "")
  public String getHaveYouSubmittedAFormalComplaint() {
    return haveYouSubmittedAFormalComplaint;
  }

  public void setHaveYouSubmittedAFormalComplaint(String haveYouSubmittedAFormalComplaint) {
    this.haveYouSubmittedAFormalComplaint = haveYouSubmittedAFormalComplaint;
  }

  public LostBaggageClaimInformation pleaseExplainWhy(String pleaseExplainWhy) {
    this.pleaseExplainWhy = pleaseExplainWhy;
    return this;
  }

   /**
   * Get pleaseExplainWhy
   * @return pleaseExplainWhy
  **/
  @ApiModelProperty(example = "why", value = "")
  public String getPleaseExplainWhy() {
    return pleaseExplainWhy;
  }

  public void setPleaseExplainWhy(String pleaseExplainWhy) {
    this.pleaseExplainWhy = pleaseExplainWhy;
  }

  public LostBaggageClaimInformation startTripDate(LocalDate startTripDate) {
    this.startTripDate = startTripDate;
    return this;
  }

   /**
   * Get startTripDate
   * @return startTripDate
  **/
  @ApiModelProperty(example = "2016-04-04", value = "")
  public LocalDate getStartTripDate() {
    return startTripDate;
  }

  public void setStartTripDate(LocalDate startTripDate) {
    this.startTripDate = startTripDate;
  }

  public LostBaggageClaimInformation endTripDate(LocalDate endTripDate) {
    this.endTripDate = endTripDate;
    return this;
  }

   /**
   * Get endTripDate
   * @return endTripDate
  **/
  @ApiModelProperty(example = "2016-04-04", value = "")
  public LocalDate getEndTripDate() {
    return endTripDate;
  }

  public void setEndTripDate(LocalDate endTripDate) {
    this.endTripDate = endTripDate;
  }

  public LostBaggageClaimInformation dateOfLossBaggageLoss(String dateOfLossBaggageLoss) {
    this.dateOfLossBaggageLoss = dateOfLossBaggageLoss;
    return this;
  }

   /**
   * Get dateOfLossBaggageLoss
   * @return dateOfLossBaggageLoss
  **/
  @ApiModelProperty(example = "2016-06-04", value = "")
  public String getDateOfLossBaggageLoss() {
    return dateOfLossBaggageLoss;
  }

  public void setDateOfLossBaggageLoss(String dateOfLossBaggageLoss) {
    this.dateOfLossBaggageLoss = dateOfLossBaggageLoss;
  }

  public LostBaggageClaimInformation timeOfLoss(String timeOfLoss) {
    this.timeOfLoss = timeOfLoss;
    return this;
  }

   /**
   * Get timeOfLoss
   * @return timeOfLoss
  **/
  @ApiModelProperty(example = "10:00:00", value = "")
  public String getTimeOfLoss() {
    return timeOfLoss;
  }

  public void setTimeOfLoss(String timeOfLoss) {
    this.timeOfLoss = timeOfLoss;
  }

  public LostBaggageClaimInformation city(String city) {
    this.city = city;
    return this;
  }

   /**
   * Get city
   * @return city
  **/
  @ApiModelProperty(example = "city", value = "")
  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public LostBaggageClaimInformation country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Get country
   * @return country
  **/
  @ApiModelProperty(example = "en", value = "")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public LostBaggageClaimInformation doYouHaveOtherInsuranceThatApplies(String doYouHaveOtherInsuranceThatApplies) {
    this.doYouHaveOtherInsuranceThatApplies = doYouHaveOtherInsuranceThatApplies;
    return this;
  }

   /**
   * Get doYouHaveOtherInsuranceThatApplies
   * @return doYouHaveOtherInsuranceThatApplies
  **/
  @ApiModelProperty(example = "No", value = "")
  public String getDoYouHaveOtherInsuranceThatApplies() {
    return doYouHaveOtherInsuranceThatApplies;
  }

  public void setDoYouHaveOtherInsuranceThatApplies(String doYouHaveOtherInsuranceThatApplies) {
    this.doYouHaveOtherInsuranceThatApplies = doYouHaveOtherInsuranceThatApplies;
  }

  public LostBaggageClaimInformation pleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
    return this;
  }

   /**
   * Get pleaseIndicateTheAmount
   * @return pleaseIndicateTheAmount
  **/
  @ApiModelProperty(example = "100.0", value = "")
  public BigDecimal getPleaseIndicateTheAmount() {
    return pleaseIndicateTheAmount;
  }

  public void setPleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
  }

  public LostBaggageClaimInformation currencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
    return this;
  }

   /**
   * Get currencyIsoCode
   * @return currencyIsoCode
  **/
  @ApiModelProperty(example = "USD", value = "")
  public String getCurrencyIsoCode() {
    return currencyIsoCode;
  }

  public void setCurrencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
  }

  public LostBaggageClaimInformation wasTheBaggageInTheChargeOfAnAir(String wasTheBaggageInTheChargeOfAnAir) {
    this.wasTheBaggageInTheChargeOfAnAir = wasTheBaggageInTheChargeOfAnAir;
    return this;
  }

   /**
   * Get wasTheBaggageInTheChargeOfAnAir
   * @return wasTheBaggageInTheChargeOfAnAir
  **/
  @ApiModelProperty(example = "No", value = "")
  public String getWasTheBaggageInTheChargeOfAnAir() {
    return wasTheBaggageInTheChargeOfAnAir;
  }

  public void setWasTheBaggageInTheChargeOfAnAir(String wasTheBaggageInTheChargeOfAnAir) {
    this.wasTheBaggageInTheChargeOfAnAir = wasTheBaggageInTheChargeOfAnAir;
  }

  public LostBaggageClaimInformation aircraftFlightNumber(String aircraftFlightNumber) {
    this.aircraftFlightNumber = aircraftFlightNumber;
    return this;
  }

   /**
   * Get aircraftFlightNumber
   * @return aircraftFlightNumber
  **/
  @ApiModelProperty(example = "abcd123", value = "")
  public String getAircraftFlightNumber() {
    return aircraftFlightNumber;
  }

  public void setAircraftFlightNumber(String aircraftFlightNumber) {
    this.aircraftFlightNumber = aircraftFlightNumber;
  }

  public LostBaggageClaimInformation cruiseShipsVesselName(String cruiseShipsVesselName) {
    this.cruiseShipsVesselName = cruiseShipsVesselName;
    return this;
  }

   /**
   * Get cruiseShipsVesselName
   * @return cruiseShipsVesselName
  **/
  @ApiModelProperty(example = "name", value = "")
  public String getCruiseShipsVesselName() {
    return cruiseShipsVesselName;
  }

  public void setCruiseShipsVesselName(String cruiseShipsVesselName) {
    this.cruiseShipsVesselName = cruiseShipsVesselName;
  }

  public LostBaggageClaimInformation railwayBranch(String railwayBranch) {
    this.railwayBranch = railwayBranch;
    return this;
  }

   /**
   * Get railwayBranch
   * @return railwayBranch
  **/
  @ApiModelProperty(example = "b", value = "")
  public String getRailwayBranch() {
    return railwayBranch;
  }

  public void setRailwayBranch(String railwayBranch) {
    this.railwayBranch = railwayBranch;
  }

  public LostBaggageClaimInformation totalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public LostBaggageClaimInformation itemsList(ItemsList itemsList) {
    this.itemsList = itemsList;
    return this;
  }

   /**
   * Get itemsList
   * @return itemsList
  **/
  @ApiModelProperty(value = "")
  public ItemsList getItemsList() {
    return itemsList;
  }

  public void setItemsList(ItemsList itemsList) {
    this.itemsList = itemsList;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LostBaggageClaimInformation lostBaggageClaimInformation = (LostBaggageClaimInformation) o;
    return Objects.equals(this.claimantName, lostBaggageClaimInformation.claimantName) &&
        Objects.equals(this.relationshipToCardholder, lostBaggageClaimInformation.relationshipToCardholder) &&
        Objects.equals(this.otherRelationshipToCardholder, lostBaggageClaimInformation.otherRelationshipToCardholder) &&
        Objects.equals(this.sex, lostBaggageClaimInformation.sex) &&
        Objects.equals(this.dateOfBirth, lostBaggageClaimInformation.dateOfBirth) &&
        Objects.equals(this.doYouHaveOtherInsuranceLoss, lostBaggageClaimInformation.doYouHaveOtherInsuranceLoss) &&
        Objects.equals(this.haveYouSubmittedAFormalComplaint, lostBaggageClaimInformation.haveYouSubmittedAFormalComplaint) &&
        Objects.equals(this.pleaseExplainWhy, lostBaggageClaimInformation.pleaseExplainWhy) &&
        Objects.equals(this.startTripDate, lostBaggageClaimInformation.startTripDate) &&
        Objects.equals(this.endTripDate, lostBaggageClaimInformation.endTripDate) &&
        Objects.equals(this.dateOfLossBaggageLoss, lostBaggageClaimInformation.dateOfLossBaggageLoss) &&
        Objects.equals(this.timeOfLoss, lostBaggageClaimInformation.timeOfLoss) &&
        Objects.equals(this.city, lostBaggageClaimInformation.city) &&
        Objects.equals(this.country, lostBaggageClaimInformation.country) &&
        Objects.equals(this.doYouHaveOtherInsuranceThatApplies, lostBaggageClaimInformation.doYouHaveOtherInsuranceThatApplies) &&
        Objects.equals(this.pleaseIndicateTheAmount, lostBaggageClaimInformation.pleaseIndicateTheAmount) &&
        Objects.equals(this.currencyIsoCode, lostBaggageClaimInformation.currencyIsoCode) &&
        Objects.equals(this.wasTheBaggageInTheChargeOfAnAir, lostBaggageClaimInformation.wasTheBaggageInTheChargeOfAnAir) &&
        Objects.equals(this.aircraftFlightNumber, lostBaggageClaimInformation.aircraftFlightNumber) &&
        Objects.equals(this.cruiseShipsVesselName, lostBaggageClaimInformation.cruiseShipsVesselName) &&
        Objects.equals(this.railwayBranch, lostBaggageClaimInformation.railwayBranch) &&
        Objects.equals(this.totalAmountClaimed, lostBaggageClaimInformation.totalAmountClaimed) &&
        Objects.equals(this.itemsList, lostBaggageClaimInformation.itemsList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(claimantName, relationshipToCardholder, otherRelationshipToCardholder, sex, dateOfBirth, doYouHaveOtherInsuranceLoss, haveYouSubmittedAFormalComplaint, pleaseExplainWhy, startTripDate, endTripDate, dateOfLossBaggageLoss, timeOfLoss, city, country, doYouHaveOtherInsuranceThatApplies, pleaseIndicateTheAmount, currencyIsoCode, wasTheBaggageInTheChargeOfAnAir, aircraftFlightNumber, cruiseShipsVesselName, railwayBranch, totalAmountClaimed, itemsList);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LostBaggageClaimInformation {\n");
    
    sb.append("    claimantName: ").append(toIndentedString(claimantName)).append("\n");
    sb.append("    relationshipToCardholder: ").append(toIndentedString(relationshipToCardholder)).append("\n");
    sb.append("    otherRelationshipToCardholder: ").append(toIndentedString(otherRelationshipToCardholder)).append("\n");
    sb.append("    sex: ").append(toIndentedString(sex)).append("\n");
    sb.append("    dateOfBirth: ").append(toIndentedString(dateOfBirth)).append("\n");
    sb.append("    doYouHaveOtherInsuranceLoss: ").append(toIndentedString(doYouHaveOtherInsuranceLoss)).append("\n");
    sb.append("    haveYouSubmittedAFormalComplaint: ").append(toIndentedString(haveYouSubmittedAFormalComplaint)).append("\n");
    sb.append("    pleaseExplainWhy: ").append(toIndentedString(pleaseExplainWhy)).append("\n");
    sb.append("    startTripDate: ").append(toIndentedString(startTripDate)).append("\n");
    sb.append("    endTripDate: ").append(toIndentedString(endTripDate)).append("\n");
    sb.append("    dateOfLossBaggageLoss: ").append(toIndentedString(dateOfLossBaggageLoss)).append("\n");
    sb.append("    timeOfLoss: ").append(toIndentedString(timeOfLoss)).append("\n");
    sb.append("    city: ").append(toIndentedString(city)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    doYouHaveOtherInsuranceThatApplies: ").append(toIndentedString(doYouHaveOtherInsuranceThatApplies)).append("\n");
    sb.append("    pleaseIndicateTheAmount: ").append(toIndentedString(pleaseIndicateTheAmount)).append("\n");
    sb.append("    currencyIsoCode: ").append(toIndentedString(currencyIsoCode)).append("\n");
    sb.append("    wasTheBaggageInTheChargeOfAnAir: ").append(toIndentedString(wasTheBaggageInTheChargeOfAnAir)).append("\n");
    sb.append("    aircraftFlightNumber: ").append(toIndentedString(aircraftFlightNumber)).append("\n");
    sb.append("    cruiseShipsVesselName: ").append(toIndentedString(cruiseShipsVesselName)).append("\n");
    sb.append("    railwayBranch: ").append(toIndentedString(railwayBranch)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    itemsList: ").append(toIndentedString(itemsList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

